Bug 1877934 - kata-operator install results in "error: Base packages would be removed: glusterfs-fuse-6.0-37.el8.x86_64"
Summary: kata-operator install results in "error: Base packages would be removed: glus...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: sandboxed-containers
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jens Freimann
QA Contact: Cameron Meadors
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 19:30 UTC by Cameron Meadors
Modified: 2021-07-16 08:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-16 08:57:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Cameron Meadors 2020-09-10 19:30:59 UTC
Description of problem:

Install of kata-operator fails

Version-Release number of selected component (if applicable):

openshift version 4.6.0-0.nightly-2020-09-10-121352

kata-operator version https://github.com/openshift/kata-operator/commit/798a74f79104bc65502f6d2060d93205e294b8fb

How reproducible:

Everytime

Steps to Reproduce:
1. run 'deploy/deploy.sh'
2. run 'oc apply -f deploy/crds/kataconfiguration.openshift.io_v1alpha1_kataconfig_cr.yaml'
3.

Actual results:

Logs from kata-operator-daemon-install pod:
W0910 19:22:43.922704  277285 client_config.go:541] Neither --kubeconfig nor --master was specified.  Using the inClusterConfig.  This might not work.
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
/usr/bin/mkdir -p /host/opt/kata-install
/usr/bin/mkdir -p /etc/yum.repos.d/
/usr/bin/cp -f /usr/local/kata/latest/packages.repo /etc/yum.repos.d/
/usr/bin/cp -a /usr/local/kata/latest/packages /opt/kata-install/packages
Checking out tree 3fc6b98...done
Enabled rpm-md repositories: packages
rpm-md repo 'packages' (cached); generated: 2020-07-21T11:38:31Z
Importing rpm-md...done
Resolving dependencies...done
error: Base packages would be removed: glusterfs-fuse-6.0-37.el8.x86_64
/bin/bash -c /usr/bin/rpm-ostree install --idempotent kata-runtime kata-osbuilder
2020/09/10 19:22:56 exit status 1

Expected results:

operator in install correctly with no errros

Additional info:

This is not a new bug, and is supposed to be fix through other changes.  Logging here to keep track of it.

Comment 1 Cameron Meadors 2020-09-10 19:40:39 UTC
changing line in operator.yaml from 

image: quay.io/isolatedcontainers/kata-operator:v1.0

to

image: quay.io/isolatedcontainers/kata-operator:4.6

allows the install to complete.

Comment 3 Jens Freimann 2020-09-15 06:19:39 UTC
I pushed a fix to the master branch. This should work now without any changes to yaml files.

Comment 4 Cameron Meadors 2020-09-17 13:06:40 UTC
Jens, could you add a link to the PR for this change?

Comment 5 Jens Freimann 2020-09-17 14:15:06 UTC
I think it was this one: https://github.com/openshift/kata-operator/pull/9

Comment 6 Cameron Meadors 2020-09-21 19:40:53 UTC
I can verify this is not a problem anymore.  Installed openshift 4.6.0-0.nightly-2020-09-21-081745 and kata-operator from release-4.6 branch.

Comment 7 Jens Freimann 2021-07-16 08:57:58 UTC
closing this as it was fixed in the 4.6 operator


Note You need to log in before you can comment on or make changes to this bug.